package com.hp.user.service;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.ComponentScan;

import com.alibaba.nacos.spring.context.annotation.config.NacosPropertySource;
import com.hp.user.service.redis.RedisOperation;

/**
 * 用户服务启动类
 * @author yeqid
 * @since 2020/11/18
 *
 */
@MapperScan("com.hp.user.service.dao") //扫描的mapper
@SpringBootApplication
@NacosPropertySource(dataId = "userdatasource", autoRefreshed = true)
//不能加compentscan，加了
//@ComponentScan("com.hp.user.service.dao")//这个地方不能写错，写错的话会出现2个问题，如果写的路径扫描不到swaggerconfig那么页面会报错
//(Unable to infer base url. This is common when using dynamic servlet registration or when the API is behind an API Gateway. 
//The base url is the root of where all the swagger resources are served. For e.g. if the api is available at http://example.org/api/v2/api-docs then the base url is http://example.org/api/. Please enter the location manually: )，
//如果写的路径扫描不到controller那么页面不会有接口信息
//所以最好不要写
public class UserServiceApplaction {
	public static void main(String[] args) {
		SpringApplication.run(UserServiceApplaction.class, args);
		System.out.println(RedisOperation.getRedis().get("tst"));
		RedisOperation.getRedis().close();
	}
}
